<?php

require __DIR__ . '/number/vendor/autoload.php';


use Luecano\NumeroALetras\NumeroALetras;



$number = $values ['nro_Acciones'];
$decimals = '0';

$currency = ' ' ;

$formatter = new NumeroALetras();




$values  ['nro_Acciones_Literal']  =  $formatter->toInvoice($number);






$number2 = $values ['total_bs'];
$decimals2 = '0';

$currency2 = ' ' ;

$formatter = new NumeroALetras();




$values  ['total_bs_literal']  =  $formatter->toInvoice($number2);









/*
echo $formatter->toInvoice(5832.80, 2, '');



$formatter = new NumeroALetras();
echo $formatter->toInvoice($number, $decimals, $currency);






use NumberToWords\NumberToWords;

$amount = $values['monto_numeral'];
$language = 'es';

// create the number to words "manager" class
$numberToWords = new NumberToWords();

// -----------------------  build a new number transformer using the RFC 3066 language identifier
// $numberTransformer = $numberToWords->getNumberTransformer($language);

// $values['text'] = $numberTransformer->toWords($amount); 

// ---------------------- build a new currency transformer using the RFC 3066 language identifier
$currencyTransformer = $numberToWords->getCurrencyTransformer($language);

$values['monto_literal'] = $currencyTransformer->toWords(($amount*100),'USD'); 


*/
